import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { d as defineCustomElement$e } from './addon-reminder2.js';
import { d as defineCustomElement$d } from './addon-reminder-body2.js';
import { d as defineCustomElement$c } from './addon-reminder-footer2.js';
import { d as defineCustomElement$b } from './addon-reminder-header2.js';
import { d as defineCustomElement$a } from './description-input2.js';
import { d as defineCustomElement$9 } from './input-button2.js';
import { d as defineCustomElement$8 } from './input-select2.js';
import { d as defineCustomElement$7 } from './mds-avatar2.js';
import { d as defineCustomElement$6 } from './mds-img2.js';
import { d as defineCustomElement$5 } from './mds-text2.js';
import { d as defineCustomElement$4 } from './synbee-badge-error2.js';
import { d as defineCustomElement$3 } from './synbee-options-menu2.js';
import { d as defineCustomElement$2 } from './synbee-searchbox2.js';

const contentWrapperCss = ":root{--brand-eolo-01:#1a263d;--brand-eolo-02:#223351;--brand-eolo-03:#2b4065;--brand-eolo-04:#334c79;--brand-eolo-05:#3b598c;--brand-eolo-06:#4465a0;--brand-eolo-07:#4c72b3;--brand-eolo-08:#5d7fba;--brand-eolo-09:#6f8dc2;--brand-eolo-10:#839ecb;--brand-eolo-11:#98add3;--brand-eolo-12:#abbcdb;--brand-eolo-13:#bbcae2;--brand-eolo-14:#c6d2e7;--brand-eolo-15:#cfd9eb;--brand-eolo-16:#d8e0ef;--brand-eolo-17:#dfe6f1;--brand-eolo-18:#e8edf5;--brand-eolo-19:#f0f3f9;--brand-eolo-20:#f7f9fc;--brand-eolo:#597cb9;--_ui5_calendar_width:auto;--sapList_Background:#f7f9fc;--sapTextColor:#334c79;--_ui5_daypicker_item_othermonth_color:#c6d2e7;--_ui5_daypicker_item_now_border:#f7f9fc;--sapContent_Selected_Background:#dfe6f1;--sapContent_Selected_TextColor:#334c79;--sapContent_Selected_Hover_Background:#dfe6f1;--_ui5_daypicker_item_selected_between_text_font:bold;--sapFontSize:bold;--_ui5_daypicker_item_border:none;--_ui5_daypicker_item_border_radius:10px;--_ui5_daypicker_item_selected_box_shadow:none;--sapFontSmallSize:bold;--_ui5_daypicker_dayname_color:#4c4c4c;--_ui5_calendar_padding:2rem}:host{display:block}";

const ContentWrapper$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.myProperty = {
      name: 'Ciao',
      description: 'Mondo',
      hour: '02',
      minute: '03',
      duration: '00',
      date: '05/03/2022'
    };
    this.baseUrl = 'cicciobello';
  }
  render() {
    return (h("div", null, h("button", { onClick: (ev) => this.changeDTO(ev) }, "cambia il dto"), h("addon-reminder", { reminderInfo: this.myProperty, state: "view" }), h("addon-reminder", { baseUrl: this.baseUrl, reminderInfo: this.myProperty })));
  }
  changeDTO(ev) {
    if (ev) {
      this.baseUrl = 'http://federico-derrico.app.dev.synbee.it';
      this.myProperty = {
        name: 'Prommmmmm',
        description: 'nuova descrizione cambiata',
        date: '08/03/2022',
        hour: '05',
        minute: '17',
        duration: '02'
      };
    }
  }
  static get style() { return contentWrapperCss; }
}, [1, "content-wrapper", {
    "myProperty": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["content-wrapper", "addon-reminder", "addon-reminder-body", "addon-reminder-footer", "addon-reminder-header", "description-input", "input-button", "input-select", "mds-avatar", "mds-img", "mds-text", "synbee-badge-error", "synbee-options-menu", "synbee-searchbox"];
  components.forEach(tagName => { switch (tagName) {
    case "content-wrapper":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ContentWrapper$1);
      }
      break;
    case "addon-reminder":
      if (!customElements.get(tagName)) {
        defineCustomElement$e();
      }
      break;
    case "addon-reminder-body":
      if (!customElements.get(tagName)) {
        defineCustomElement$d();
      }
      break;
    case "addon-reminder-footer":
      if (!customElements.get(tagName)) {
        defineCustomElement$c();
      }
      break;
    case "addon-reminder-header":
      if (!customElements.get(tagName)) {
        defineCustomElement$b();
      }
      break;
    case "description-input":
      if (!customElements.get(tagName)) {
        defineCustomElement$a();
      }
      break;
    case "input-button":
      if (!customElements.get(tagName)) {
        defineCustomElement$9();
      }
      break;
    case "input-select":
      if (!customElements.get(tagName)) {
        defineCustomElement$8();
      }
      break;
    case "mds-avatar":
      if (!customElements.get(tagName)) {
        defineCustomElement$7();
      }
      break;
    case "mds-img":
      if (!customElements.get(tagName)) {
        defineCustomElement$6();
      }
      break;
    case "mds-text":
      if (!customElements.get(tagName)) {
        defineCustomElement$5();
      }
      break;
    case "synbee-badge-error":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "synbee-options-menu":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "synbee-searchbox":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}
defineCustomElement$1();

const ContentWrapper = ContentWrapper$1;
const defineCustomElement = defineCustomElement$1;

export { ContentWrapper, defineCustomElement };
